Subject: bug#40676: 28.0.50; gnus locks when reading email

From: Eric Abrahamsen <[email-masked]>
Date: Fri, 17 Apr 2020 08:09:28 -0700

Alex Branham <[email-masked]> writes:

> Hello -
>
> gnus locks when reading email (when trying to display the message
> contents) and asks me:
>
> Buffer " *temp*" has a running process; kill it? (y or n) y
>
> This seems to happen independently of backend, as I use nnimap and nntp.
> It also happens when reading through debbugs-gnu.
>
> Specifically, to reproduce, I do:
>
> M-x gnus
> RET (this opens an inbox)
> RET (this tries to open an email)
>
> I can then see the new window & buffer pop up with initial content like:
>
> From: <foo>
> Subject: <bar>
> To: <baz>
> Date: <fooier>
> Reply-To: <barier>
> X-Boundary: <bazier>
>
> but it's not font locked and the rest of the email doesn't show until I
> hit y or n (the email shows after hitting y or n, doesn't seem to make a
> difference).

FWIW, a " *temp*" buffer is only created in mm-util.el, in
`mm-find-buffer-file-coding-system'. My guess is that some mime handler
is calling an external process to do some sort of decoding of article
content or attachment, and that's somehow getting attached to the temp
buffer incorrectly.

Total guess!